# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeHyperbola Class Reference

This class implements the mapping between the class
Hyperbola from Geom and the class Hyperbola from
StepGeom which describes a Hyperbola from ProSTEP
.

`#include <GeomToStep_MakeHyperbola.hxx>`

Inheritance diagram for GeomToStep_MakeHyperbola:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeHyperbola (const Handle(Geom2d_Hyperbola)&C)
Standard_EXPORT | GeomToStep_MakeHyperbola (const Handle(Geom_Hyperbola)&C)
Standard_EXPORT const Handle_StepGeom_Hyperbola & | Value () const

## Private Attributes

Handle_StepGeom_Hyperbola | theHyperbola

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeHyperbola::GeomToStep_MakeHyperbola | ( | const Handle(Geom2d_Hyperbola)& | C | ) |

Standard_EXPORT GeomToStep_MakeHyperbola::GeomToStep_MakeHyperbola | ( | const Handle(Geom_Hyperbola)& | C | ) |

## Member Function Documentation

void GeomToStep_MakeHyperbola::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeHyperbola::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeHyperbola::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Hyperbola& GeomToStep_MakeHyperbola::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Hyperbola GeomToStep_MakeHyperbola::theHyperbola `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeHyperbola.hxx